commit 01c25003d2a21d199df22548c2c8a8110e755dc7
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Jul 1 22:23:43 2022 +0100

    libstdc++: Add missing prerequisite to generated header [PR106162]
    
    The ${host_builddir}/largefile-config.h header can't be written until
    its parent directory has been created, so it needs to have the creation
    of that directory as a prerequisite.
    
    libstdc++-v3/ChangeLog:
    
            PR libstdc++/106162
            * include/Makefile.am (largefile-config.h): Add
            stamp-${host_alias} prerequisite.
            * include/Makefile.in: Regenerate.
    
    (cherry picked from commit 8a6ee426c2be3bd4359520e02c00ec60cac2fece)

diff --git a/libstdc++-v3/include/Makefile.am b/libstdc++-v3/include/Makefile.am
index fad5c683824..ffac9427434 100644
--- a/libstdc++-v3/include/Makefile.am
+++ b/libstdc++-v3/include/Makefile.am
@@ -1248,7 +1248,7 @@ stamp-float128:
 endif
 
 # This header is not installed, it's only used to build libstdc++ itself.
-${host_builddir}/largefile-config.h: ${CONFIG_HEADER}
+${host_builddir}/largefile-config.h: ${CONFIG_HEADER} stamp-${host_alias}
 	@rm -f $@.tmp
 	@-grep 'define _DARWIN_USE_64_BIT_INODE' ${CONFIG_HEADER} >> $@.tmp
 	@-grep 'define _FILE_OFFSET_BITS' ${CONFIG_HEADER} >> $@.tmp
